{{#if (eq @aggregatedAsset.assets.length 1)}}
  {{#each @aggregatedAsset.assets as |asset|}}
    <Crypto::Assets::Detail
      @deleting={{this.delete.isRunning}}
      @asset={{asset}}
      @onDelete={{fn (perform this.delete asset)}}
    />
  {{/each}}
{{else}}
  <tr>
    <td>{{format-money @aggregatedAsset.quantity}}</td>
    <td>{{format-money @aggregatedAsset.total}}</td>
    <td></td>
    <td></td>
  </tr>
  {{#each @aggregatedAsset.assets as |asset|}}
    <Crypto::Assets::Detail
      @asset={{asset}}
      @deleting={{this.delete.isRunning}}
      @onDelete={{fn (perform this.delete asset)}}
      @subLine={{true}}
    />
  {{/each}}
{{/if}}